Subject: [PATCH v13 3/7] KVM: x86: flush TLBs last before returning from KVM_GET_DIRTY_LOG

From: [email-masked] (Christoffer Dall)
Date: Fri, 7 Nov 2014 21:02:15 +0100

On Fri, Nov 07, 2014 at 11:50:09AM -0800, Mario Smarduch wrote:
> On 11/06/2014 11:44 PM, Paolo Bonzini wrote:
> > 
> > 
> > On 07/11/2014 01:40, Mario Smarduch wrote:
> >> In the next patches, we will move parts of x86's kvm_vm_ioctl_get_dirty_log
> >> implementation to generic code; leave the arch-specific code at the end,
> >> similar to the existing generic function kvm_get_dirty_log.
> >>
> >> Reviewed-by: Mario Smarduch <[email-masked]>
> >> Signed-off-by: Paolo Bonzini <[email-masked]>
> > 
> > You should have a "Signed-off-by: Mario Smarduch ..." here, and you 
> > should also add my authorship.  You can do the latter with "git rebase 
> > -i", adding
> > 
> >   x git commit --amend -C HEAD --author 'Paolo Bonzini <[email-masked]>'
> > 
> > after this patch.  If you're using a patch queue instead (quilt or
> > similar) you can just edit the "From" line in the patch.
> > 
> > I guess if you reply to the patch with just
> > 
> >    Signed-off-by: Mario Smarduch <[email-masked]>
> > 
> > the ARM maintainers can do the above for you, if there's no need for
> > a v14.
> > 
> > I'll send an eighth patch to actually switch x86 to the new function.
> > Again, the maintainers can apply it in the right place, but please
> > include it yourself if you have to do a v14.
> > 
> > Thanks,
> > 
> > Paolo
> 
> I kind of thought something was wrong :) Thanks for the explanation,
> until I get the hang of it I'll defer to ARM maintainers. Maybe later
> update SubmittingPatches documentation.
> 
Since you're doing a respin (right?) then please get the authorship
and signed-off-by's right for the next iteration.

If you're having trouble with the git mangling to get it right, don't be
afraid to reach out, here or on IRC.

-Christoffer